Bug 1463226 - no screen boot cause nouveau failures
no screen boot cause nouveau failures
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ben Skeggs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 08:10 EDT by Tomas Pelka
Modified: 2017-08-09 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (511.93 KB, text/plain)
2017-06-20 08:20 EDT, Tomas Pelka
no flags Details
messages (3.97 MB, text/plain)
2017-06-20 08:21 EDT, Tomas Pelka
no flags Details
dmesg on machine with updated bios (70.82 KB, text/plain)
2017-08-09 11:49 EDT, Tomas Hudziec
no flags Details
xorg log on machine with updated bios (72.85 KB, text/plain)
2017-08-09 11:49 EDT, Tomas Hudziec
no flags Details

  None (edit)
Description Tomas Pelka 2017-06-20 08:10:22 EDT
Description of problem:
attaching display (HDMI) causing nouveau failures

Version-Release number of selected component (if applicable):
kernel-3.10.0-680.el7.x86_64
xorg-x11-server-Xorg-1.19.3-7.el7.x86_64
xorg-x11-drv-nouveau-1.0.13-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. boot screen less
2. attach monitor
3.

Actual results:
# dmesg | grep nouveau
[    1.818486] nouveau 0000:01:00.0: NVIDIA GM204 (124020a1)
[    1.818555] nouveau 0000:01:00.0: irq 28 for MSI/MSI-X
[    1.901364] nouveau 0000:01:00.0: bios: version 84.04.36.00.20
[    1.901735] nouveau 0000:01:00.0: disp: dcb 15 type 8 unknown
[    1.902552] nouveau 0000:01:00.0: fb: 4096 MiB GDDR5
[    1.902567] nouveau 0000:01:00.0: bus: MMIO write of 80000167 FAULT at 10eb14 [ IBUS ]
[    1.908564] nouveau 0000:01:00.0: DRM: VRAM: 4096 MiB
[    1.908567] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[    1.908570] nouveau 0000:01:00.0: DRM: TMDS table version 2.0
[    1.908573] nouveau 0000:01:00.0: DRM: DCB version 4.1
[    1.908576] nouveau 0000:01:00.0: DRM: DCB outp 00: 01000f02 00020030
[    1.908579] nouveau 0000:01:00.0: DRM: DCB outp 01: 02000f00 00000000
[    1.908582] nouveau 0000:01:00.0: DRM: DCB outp 02: 04011f82 00020030
[    1.908585] nouveau 0000:01:00.0: DRM: DCB outp 03: 02022f62 00020010
[    1.908587] nouveau 0000:01:00.0: DRM: DCB outp 04: 02833f76 04400020
[    1.908590] nouveau 0000:01:00.0: DRM: DCB outp 05: 02033f72 00020020
[    1.908593] nouveau 0000:01:00.0: DRM: DCB outp 15: 01df5ff8 00000000
[    1.908595] nouveau 0000:01:00.0: DRM: DCB conn 00: 00001030
[    1.908598] nouveau 0000:01:00.0: DRM: DCB conn 01: 01000131
[    1.908600] nouveau 0000:01:00.0: DRM: DCB conn 02: 00010261
[    1.908602] nouveau 0000:01:00.0: DRM: DCB conn 03: 00020346
[    1.908605] nouveau 0000:01:00.0: DRM: DCB conn 05: 00000570
[    1.908607] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
[    1.931535] nouveau 0000:01:00.0: DRM: unknown connector type 70
[    1.931588] nouveau 0000:01:00.0: DRM: failed to create encoder 1/8/0: -19
[    1.931591] nouveau 0000:01:00.0: DRM: Unknown-1 has no encoders, removing
[    1.999673] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[    2.046388] nouveau 0000:01:00.0: priv: GPC0: 419df4 00000000 (1a40820e)
[    2.046463] nouveau 0000:01:00.0: priv: GPC1: 419df4 00000000 (1a40820e)
[    2.046525] nouveau 0000:01:00.0: priv: GPC2: 419df4 00000000 (1a40820e)
[    2.046586] nouveau 0000:01:00.0: priv: GPC3: 419df4 00000000 (1a40820e)
[    2.150287] nouveau 0000:01:00.0: DRM: allocated 1024x768 fb: 0x60000, bo ffff88053fec4c00
[    2.151107] fbcon: nouveaufb (fb0) is primary device
[    2.244672] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[    2.249040] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0

screen stays black


Expected results:
no failures, screen should display gdm

Additional info:
Comment 1 Tomas Pelka 2017-06-20 08:20 EDT
Created attachment 1289630 [details]
xorg log
Comment 2 Tomas Pelka 2017-06-20 08:21 EDT
Created attachment 1289631 [details]
messages
Comment 3 Tomas Pelka 2017-08-03 04:13:11 EDT
Tomas would you please check on you machine with updated BIOS.

Thanks
-Tom
Comment 4 Tomas Hudziec 2017-08-09 11:48:19 EDT
On machine with updated BIOS there is black screen on outputs except DVI-I-1, where are messages
[    1.898281] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 022554 [ IBUS ]
[    1.904395] nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
[    2.041391] nouveau 0000:01:00.0: priv: GPC0: 419df4 00000000 (1940820e)
[    2.041467] nouveau 0000:01:00.0: priv: GPC1: 419df4 00000000 (1940820e)
[    2.041529] nouveau 0000:01:00.0: priv: GPC2: 419df4 00000000 (1940820e)
[    2.041590] nouveau 0000:01:00.0: priv: GPC3: 419df4 00000000 (1940820e)
and blinking cursor (outputs tried one by one).

After telinit 3 && telinit 5 signal is back on monitors.

kernel-3.10.0-693.el7.x86_64
xorg-x11-drv-nouveau-1.0.13-3.el7.x86_64
xorg-x11-server-Xorg-1.19.3-11.el7.x86_64
Comment 5 Tomas Hudziec 2017-08-09 11:49 EDT
Created attachment 1311298 [details]
dmesg on machine with updated bios
Comment 6 Tomas Hudziec 2017-08-09 11:49 EDT
Created attachment 1311299 [details]
xorg log on machine with updated bios

Note You need to log in before you can comment on or make changes to this bug.